> For the complete documentation index, see [llms.txt](https://docs.sodex.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sodex.com/for-developers/api-reference/market-data-api/index.md).

# SoSoValue Index

This module provides SoSoValue proprietary indices including list, constituent weights, market snapshots, and historical klines.

## Endpoints

| Endpoint                                                                                                               | Description                        |
| ---------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| [GET /indices](/for-developers/api-reference/market-data-api/index/list.md)                                            | Get index list                     |
| [GET /indices/{index\_ticker}/constituents](/for-developers/api-reference/market-data-api/index/constituents.md)       | Get index constituents and weights |
| [GET /indices/{index\_ticker}/market-snapshot](/for-developers/api-reference/market-data-api/index/market-snapshot.md) | Get index market snapshot          |
| [GET /indices/{index\_ticker}/klines](/for-developers/api-reference/market-data-api/index/klines.md)                   | Get index historical klines        |
